Package ru.bitel.bgbilling.modules.inet.server.bean

# Class InetDeviceMap

java.lang.Object
ru.bitel.bgbilling.modules.inet.server.bean.InetDeviceMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

public class InetDeviceMap extends Object implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `InetDeviceMap.InetDeviceMapItem`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `fix(ParameterMap params, Preferences fix, String prefixOld, String prefixNew)`
  `InetDeviceMap.InetDeviceMapItem`
  `get(int deviceId)`
  `static InetDeviceMap`
  `getInstance(int moduleId)`
  `Map<Integer,InetDeviceMap.InetDeviceMapItem>`
  `getMap()`
  `long`
  `getVersion()`
  `void`
  `notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)`
  `static Map<Integer,List<Integer>>`
  `parseFlowAgentMap(int invDeviceId, int deviceId, ParameterMap config, DevicePortDao devicePortDao)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static InetDeviceMap getInstance(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getVersion

    public long getVersion()

  - ### fix

    public void fix(ParameterMap params, Preferences fix, String prefixOld, String prefixNew)

  - ### parseFlowAgentMap

    public static Map<Integer,List<Integer>> parseFlowAgentMap(int invDeviceId, int deviceId, ParameterMap config, DevicePortDao devicePortDao) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### get

    public InetDeviceMap.InetDeviceMapItem get(int deviceId) throws Exception
    Throws:
      `Exception`

  - ### getMap

    public Map<Integer,InetDeviceMap.InetDeviceMapItem> getMap() throws Exception
    Throws:
      `Exception`

  - ### notify

    public void notify(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`